summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-04-01 04:49:46 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-04-01 13:18:35 +0000
commitc828eb6049cbd7ff7b5c8636d45a5a130bc8a032 (patch)
tree559f09cec0c307ff3420d1b255034fb6f1f280f8
parent8be499bf586f99f17e31d75c7f8ddfe0cbde18cc (diff)
downloadtde-packaging-gentoo-c828eb60.tar.gz
tde-packaging-gentoo-c828eb60.zip
Live ebuilds: Add preliminary `KVpnc` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/kvpnc/kvpnc-9999.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/trinity-apps/kvpnc/kvpnc-9999.ebuild b/trinity-apps/kvpnc/kvpnc-9999.ebuild
new file mode 100644
index 00000000..4132e6c0
--- /dev/null
+++ b/trinity-apps/kvpnc/kvpnc-9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="bg ca da de es fr hu it ja nl pl pt_BR ru sk sv tr zh_CN"
+
+inherit trinity-base-2
+
+DESCRIPTION="VPN clients frontend for TDE"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+IUSE+=" cisco smartcard openvpn"
+
+# Other VPN clients will be added by request, controlled over USE.
+
+DEPEND+=" sys-apps/net-tools
+ dev-libs/libgcrypt"
+RDEPEND+=" ${DEPEND}
+ cisco? ( net-misc/vpnc )
+ smartcard? ( dev-libs/openct )
+ openvpn? ( net-vpn/openvpn )"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+}